| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
ResetFormAction Class Reference
PDF » actions

ResetForm action object. More...

Inheritance diagram for ResetFormAction:

## Public Member Functions
| getFieldNames ()
| Get all field names from the array of current reset form action. More...
| getFlags ()
| Get the flag value used for resetting. More...
| setFieldNames (fieldNames)
| Set field name array. More...
| setFlags (flags)
| Set the flag value used for resetting. More...
Public Member Functions inherited from Action
| getSubAction (index)
| Get a sub-action by index. More...
| getSubActionCount ()
| Get the count of sub-actions. More...
| getType ()
| Get action type. More...
| insertSubAction (index, action)
| Insert a new sub-action to the location specified by index. More...
| removeAllSubActions ()
| Remove all the sub-actions. More...
| removeSubAction (index)
| Remove a sub-action, specified by index. More...
| setSubAction (index, action)
| Set a sub-action by index. More...

## Detailed Description

ResetForm action object.

Deprecated:
  Action related APIs have been moved under each object.

See also
  Annot
  Widget
  PDFFormField
  PDFDoc

## Member Function Documentation

## ◆ getFieldNames()

ResetFormAction::getFieldNames | ( |  | ) |
| inline

Get all field names from the array of current reset form action.

Returns
  string[] - An array of field names.

## ◆ getFlags()

ResetFormAction::getFlags | ( |  | ) |
| inline

Get the flag value used for resetting.

Returns
  number - Flag value.

## ◆ setFieldNames()

ResetFormAction::setFieldNames | ( |  | fieldNames | ) |
| inline

Set field name array.

Parameters

  fieldNames | string[] - An array of form fields' names, to identify which fields to reset or to exclude from resetting.

Returns
  Promise<Action> - An action object.

## ◆ setFlags()

ResetFormAction::setFlags | ( |  | flags | ) |
| inline

Set the flag value used for resetting.

Parameters

  flags | 0|1 - Flag value. Currently, valid values are: 0: means to reset fields defined in the array. 1: means to reset all fields except those defined in the array.

Returns
  Promise<Action> - An action object.

@2025 Foxit Software Incorporated. All rights reserved.